<template>
  <div v-bind:class="{ open: open }" class="games-container">
    <div class="games-container-content">
      <div v-for="(game, index) in games" :key="index" class="game-single">
        <div class="game-hover-btn">
          <button class="btn-primary" type="button" name="button">Play Now</button>
        </div>
        <img :src="'images/' + game.img" alt="">
      </div>
    </div>
  </div>
</template>
<script>
import { mapGetters } from 'vuex';

export default {
  props: {
    open: {
      type: Boolean
    },
  },
  async fetch({ store }) {
    await store.dispatch('orders/getItems');
  },
  data() {
    return { }
  },
  computed: {
    ...mapGetters({
      games: 'games/items'
    }),
  }
}
</script>
